Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class PointOfInteractionComponent1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.PointOfInteractionComponent1

    public class PointOfInteractionComponent1
    extends java.lang.Object

Java class for PointOfInteractionComponent1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteractionComponent1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="POICmpntTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}POIComponentType1Code"/>
             <element name="ManfctrId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="Mdl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="VrsnNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max16Text" minOccurs="0"/>
             <element name="SrlNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="ApprvlNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max70Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `apprvlNb`
`protected java.lang.String` `manfctrId`
`protected java.lang.String` `mdl`
`protected POIComponentType1Code` `poiCmpntTp`
`protected java.lang.String` `srlNb`
`protected java.lang.String` `vrsnNb`

### Constructor Summary

Constructors
`PointOfInteractionComponent1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getApprvlNb()` Gets the value of the apprvlNb property.
`java.lang.String` `getManfctrId()` Gets the value of the manfctrId property.
`java.lang.String` `getMdl()` Gets the value of the mdl property.
`POIComponentType1Code` `getPOICmpntTp()` Gets the value of the poiCmpntTp property.
`java.lang.String` `getSrlNb()` Gets the value of the srlNb property.
`java.lang.String` `getVrsnNb()` Gets the value of the vrsnNb property.
`void` `setManfctrId​(java.lang.String value)` Sets the value of the manfctrId property.
`void` `setMdl​(java.lang.String value)` Sets the value of the mdl property.
`void` `setPOICmpntTp​(POIComponentType1Code value)` Sets the value of the poiCmpntTp property.
`void` `setSrlNb​(java.lang.String value)` Sets the value of the srlNb property.
`void` `setVrsnNb​(java.lang.String value)` Sets the value of the vrsnNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### poiCmpntTp

    protected POIComponentType1Code poiCmpntTp

#### manfctrId

    protected java.lang.String manfctrId

#### mdl

    protected java.lang.String mdl

#### vrsnNb

    protected java.lang.String vrsnNb

#### srlNb

    protected java.lang.String srlNb

#### apprvlNb

    protected java.util.List<java.lang.String> apprvlNb

### Constructor Detail

#### PointOfInteractionComponent1

    public PointOfInteractionComponent1()

### Method Detail

#### getPOICmpntTp

    public POIComponentType1Code getPOICmpntTp()

Gets the value of the poiCmpntTp property.

Returns:
  possible object is `POIComponentType1Code`

#### setPOICmpntTp

    public void setPOICmpntTp​(POIComponentType1Code value)

Sets the value of the poiCmpntTp property.

Parameters:
  `value` - allowed object is `POIComponentType1Code`

#### getManfctrId

    public java.lang.String getManfctrId()

Gets the value of the manfctrId property.

Returns:
  possible object is `String`

#### setManfctrId

    public void setManfctrId​(java.lang.String value)

Sets the value of the manfctrId property.

Parameters:
  `value` - allowed object is `String`

#### getMdl

    public java.lang.String getMdl()

Gets the value of the mdl property.

Returns:
  possible object is `String`

#### setMdl

    public void setMdl​(java.lang.String value)

Sets the value of the mdl property.

Parameters:
  `value` - allowed object is `String`

#### getVrsnNb

    public java.lang.String getVrsnNb()

Gets the value of the vrsnNb property.

Returns:
  possible object is `String`

#### setVrsnNb

    public void setVrsnNb​(java.lang.String value)

Sets the value of the vrsnNb property.

Parameters:
  `value` - allowed object is `String`

#### getSrlNb

    public java.lang.String getSrlNb()

Gets the value of the srlNb property.

Returns:
  possible object is `String`

#### setSrlNb

    public void setSrlNb​(java.lang.String value)

Sets the value of the srlNb property.

Parameters:
  `value` - allowed object is `String`

#### getApprvlNb

    public java.util.List<java.lang.String> getApprvlNb()

Gets the value of the apprvlNb property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the apprvlNb property.

For example, to add a new item, do as follows:

        getApprvlNb().add(newItem);

Objects of the following type(s) are allowed in the list `String`